# Update field values

Updates values of existing fields for a specific page.

Endpoint: PATCH /api/v1/pages/{pageId}
Version: v1
Security: Bearer

## Path parameters:

  - `pageId` (string, required)
    The page identifier.
    Example: "8f0b81bc-7388-46be-b109-6e73d1114470"

## Query parameters:

  - `environmentId` (string)
    The identifier of the environment.
    Example: "main"

## Request fields (application/json):

  - `fields` (array, required)
    The fields to update on the page.

  - `fields.name` (string,null)
    The name of the field.
Example value: Title
    Example: "Title"

  - `fields.value` (string,null)
    The raw value of the field. While this is passed as a string, it can represent more complex values.
Example value: Welcome to our site
    Example: "Welcome to our site"

  - `versionNumber` (integer,null)
    The version number of the page to update.
Example value: 2
    Example: 2

  - `language` (string,null)
    The language of the page to update.
Example value: en-US
    Example: "en-US"

## Response 200 fields (application/json):

  - `pageId` (string,null)
    The page identifier.
Example value: 8f0b81bc-7388-46be-b109-6e73d1114470
    Example: "8f0b81bc-7388-46be-b109-6e73d1114470"

  - `name` (string,null)
    The system name of the page.
Example value: Home
    Example: "Home"

  - `displayName` (string,null)
    The display name of the page.
Example value: Site Home
    Example: "Site Home"

  - `path` (string,null)
    The path of the page.
Example value: /sitecore/content/collection01/site01/Home/about
    Example: "/sitecore/content/collection01/site01/Home/about"

## Response 400 fields (application/json):

  - `type` (string,null)
    The type of the error response entity.

  - `title` (string,null)
    The title of the error response entity.

  - `status` (integer,null)
    The response status code.

  - `detail` (string,null)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string,null)
    If available, a URI reference that identifies the specific occurrence of the problem.


